Skip to main content
POST
/
api
/
session
/
{sessionID}
/
model
Switch session model
curl --request POST \
  --url https://api.example.com/api/session/{sessionID}/model \
  --header 'Content-Type: application/json' \
  --data '
{
  "model": {
    "id": "<string>",
    "providerID": "<string>",
    "variant": "<string>"
  }
}
'
import requests

url = "https://api.example.com/api/session/{sessionID}/model"

payload = { "model": {
        "id": "<string>",
        "providerID": "<string>",
        "variant": "<string>"
    } }
headers = {"Content-Type": "application/json"}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
  method: 'POST',
  headers: {'Content-Type': 'application/json'},
  body: JSON.stringify({model: {id: '<string>', providerID: '<string>', variant: '<string>'}})
};

fetch('https://api.example.com/api/session/{sessionID}/model', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "_tag": "InvalidRequestError",
  "message": "<string>",
  "kind": "<string>",
  "field": "<string>"
}
{
  "_tag": "UnauthorizedError",
  "message": "<string>"
}
{
  "_tag": "SessionNotFoundError",
  "sessionID": "<string>",
  "message": "<string>"
}

Path Parameters

sessionID
string
required
Pattern: ^ses

Body

application/json
model
object
required

Response